<?php

namespace Drupal\tidy_html;

/**
 * An interface that beautifies HTML source code.
 *
 * @package Drupal\tidy
 */
interface TidyInterface {

  /**
   * Generates and returns a beautified version of the provided HTML markup.
   *
   * @param string $html
   *   The HTML to beautify.
   *
   * @return string
   *   A beautified version of the provided HTML.
   */
  public function beautify($html);

}
